Bug 1276151 - LiveCD segments clutter Desktop
LiveCD segments clutter Desktop
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: LiveCD - Xfce (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Michael Catanzaro
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 17:47 EDT by poma
Modified: 2016-02-27 05:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-27 05:58:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LiveCD segments on Desktop - Screenshot taken with Rawhide-Xfce-Live-1026.iso (510.12 KB, image/png)
2015-10-28 17:47 EDT, poma
no flags Details
Ignore LiveCD segments on Desktop (2.32 KB, patch)
2015-10-29 04:53 EDT, poma
no flags Details | Diff

  None (edit)
Description poma 2015-10-28 17:47:16 EDT
Created attachment 1087336 [details]
LiveCD segments on Desktop - Screenshot taken with Rawhide-Xfce-Live-1026.iso

Description of problem:
LiveCD segments clutter Desktop for nothing

Version-Release number of selected component (if applicable):
udisks2-2.1.6-1

How reproducible:
101%

Steps to Reproduce:
1. Run any Xfce Live image in koji
   http://koji.fedoraproject.org/koji/tasks?state=all&view=tree&method=livecd&order=-id

Actual results:
LiveCD segments clutter Desktop for nothing

Expected results:
LiveCD segments -do not- clutter Desktop

Additional info:
This has been going on for a long time, it is time to solve it.

/etc/udev/rules.d/100-udisks2-ignore-livecd.rules 
#
# Devices which should not be display in the graphical user interface
#
# LiveCD segments clutter Desktop for nothing
#
# query device envvars:
# udevadm info -q env -n <DEVICE NODE>
# e.g. "DEVICE NODE" is dm-1
# 
# Taking into account what is actually displayed on the Desktop,
# blacklisted environment variables
# https://github.com/systemd/systemd/blob/master/src/udev/udev-rules.c#L1228
# and the ones that actually work, universally, regardless of <ID_FS_LABEL>
# here is tested working example:
#
KERNEL=="dm-[12]",ENV{UDISKS_IGNORE}="1"
KERNEL=="loop[023]",ENV{UDISKS_IGNORE}="1"
Comment 1 poma 2015-10-28 17:48:04 EDT
- gvfs-mount -li

Volume(2): 8.2 KB Volume
   unix-device: '/dev/loop0'

Volume(1): 927 MB Volume
   unix-device: '/dev/loop2'

Volume(0): _Rawhide-Xfce-Li
   unix-device: '/dev/loop3'
   label: '_Rawhide-Xfce-Li'

Volume(4): _Rawhide-Xfce-Li
   unix-device: '/dev/dm-1'
   label: '_Rawhide-Xfce-Li'

Volume(3): _Rawhide-Xfce-Li
   unix-device: '/dev/dm-2'
   label: '_Rawhide-Xfce-Li'
Comment 2 poma 2015-10-28 17:48:42 EDT
- udisksctl dump

/org/freedesktop/UDisks2/block_devices/loop0:
    Device:                     /dev/loop0
    PreferredDevice:            /dev/loop0
    Size:                       8192

/org/freedesktop/UDisks2/block_devices/loop2:
    Device:                     /dev/loop2
    PreferredDevice:            /dev/loop2
    Size:                       927092736

/org/freedesktop/UDisks2/block_devices/loop3:
    Device:                     /dev/loop3
    IdLabel:                    _Rawhide-Xfce-Li
    PreferredDevice:            /dev/loop3
    Symlinks:                   /dev/disk/by-label/_Rawhide-Xfce-Li

/org/freedesktop/UDisks2/block_devices/dm_2d1:
    Device:                     /dev/dm-1
    Id:                         by-id-dm-name-live-base
    IdLabel:                    _Rawhide-Xfce-Li
    PreferredDevice:            /dev/mapper/live-base
    Symlinks:                   /dev/disk/by-id/dm-name-live-base
                                /dev/disk/by-label/_Rawhide-Xfce-Li
                                /dev/mapper/live-base

/org/freedesktop/UDisks2/block_devices/dm_2d2:
    Device:                     /dev/dm-2
    Id:                         by-id-dm-name-live-osimg-min
    IdLabel:                    _Rawhide-Xfce-Li
    PreferredDevice:            /dev/mapper/live-osimg-min
    Symlinks:                   /dev/disk/by-id/dm-name-live-osimg-min
                                /dev/disk/by-label/_Rawhide-Xfce-Li
                                /dev/mapper/live-osimg-min
Comment 3 poma 2015-10-28 17:49:27 EDT
- udevadm info -q env -n <DEVICE NODE>

- loop0
DEVNAME=/dev/loop0
DEVPATH=/devices/virtual/block/loop0

- loop2
DEVNAME=/dev/loop2
DEVPATH=/devices/virtual/block/loop2

- loop3
DEVLINKS=/dev/disk/by-label/_Rawhide-Xfce-Li
DEVNAME=/dev/loop3
DEVPATH=/devices/virtual/block/loop3
ID_FS_LABEL=_Rawhide-Xfce-Li

- dm-1
DEVLINKS=/dev/mapper/live-base /dev/disk/by-id/dm-name-live-base /dev/disk/by-label/_Rawhide-Xfce-Li
DEVNAME=/dev/dm-1
DEVPATH=/devices/virtual/block/dm-1
DM_NAME=live-base
ID_FS_LABEL=_Rawhide-Xfce-Li

- dm-2
DEVLINKS=/dev/mapper/live-osimg-min /dev/disk/by-label/_Rawhide-Xfce-Li /dev/disk/by-id/dm-name-live-osimg-min
DEVNAME=/dev/dm-2
DEVPATH=/devices/virtual/block/dm-2
DM_NAME=live-osimg-min
ID_FS_LABEL=_Rawhide-Xfce-Li
Comment 4 poma 2015-10-28 18:01:18 EDT
Please feel free to switch to "spin-kickstarts", if there fits better.
Comment 5 poma 2015-10-29 04:53 EDT
Created attachment 1087424 [details]
Ignore LiveCD segments on Desktop

Tested with Rawhide-Xfce-Live-1028.iso
Comment 6 poma 2016-01-21 06:48:21 EST
Care to comment?
Comment 7 Michael Catanzaro 2016-01-21 13:37:03 EST
Hi, please file a bug upstream if you think the behavior is wrong. Thanks!
Comment 8 poma 2016-01-25 17:36:48 EST
Oh, but this is Fedora specific.
Comment 9 Jan Kurik 2016-02-24 10:31:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.